> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a custom channel to a contact

> Add a new custom channel to an existing contact. At least one field (name, email, phone, or username) must be provided.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/contacts/{contact_id}/channels
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/contacts/{contact_id}/channels:
    post:
      tags:
        - Orgs Contacts
      summary: Add a custom channel to a contact
      description: >-
        Add a new custom channel to an existing contact. At least one field
        (name, email, phone, or username) must be provided.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Contact ID
          name: contact_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddContactChannelSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddContactChannelSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactChannelSchema'
components:
  schemas:
    AddContactChannelSchema:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          maxLength: 256
          description: The name for the contact channel
        email:
          type:
            - string
            - 'null'
          maxLength: 256
          format: email
          description: The email for the contact channel
        phone:
          type:
            - string
            - 'null'
          maxLength: 256
          description: The phone number for the contact channel
        username:
          type:
            - string
            - 'null'
          maxLength: 256
          description: The username for the contact channel
      description: >-
        Schema for adding a custom channel to an existing contact. At least one
        field must be provided.
    ContactChannelSchema:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ConnectionIntegrationIdSchema'
        user_id:
          type: string
          description: >-
            The unique identifier for the contact channel, e.g Phone Number or
            User ID
        avatar:
          type:
            - string
            - 'null'
          description: The avatar for the contact channel, e.g X Avatar URL
        name:
          type:
            - string
            - 'null'
          description: The name for the contact channel, e.g Full Name
        username:
          type:
            - string
            - 'null'
          description: The username for the contact channel, e.g Username
        email:
          type:
            - string
            - 'null'
          description: The email for the contact channel, e.g Email
        phone:
          type:
            - string
            - 'null'
          description: The phone number for the contact channel, e.g Phone Number
        country:
          type:
            - string
            - 'null'
          description: >-
            The country code associated with the contact channel, e.g US for
            United States
        agent:
          type:
            - string
            - 'null'
          description: The user agent associated with the contact channel
        ip:
          type:
            - string
            - 'null'
          description: The IP address associated with the contact channel
        language:
          type:
            - string
            - 'null'
          description: >-
            The language code associated with the contact channel, e.g en for
            English
        link:
          type: string
          description: >-
            A link to the contact channel, e.g a link to the social media
            profile
        platform_data:
          $ref: '#/components/schemas/ContactChannelPlatformDataSchema'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - type
        - user_id
        - avatar
        - name
        - username
        - email
        - phone
        - country
        - agent
        - ip
        - language
        - platform_data
        - created_at
        - updated_at
      description: Schema for the contact channel
    ConnectionIntegrationIdSchema:
      type: string
      enum:
        - internal
        - org
        - custom
        - whatsapp_bot
        - messenger_bot
        - instagram_dm
        - tiktok_dm
        - telegram_bot
        - gmail
        - slack_bot
        - twilio
        - telnyx
        - email
      description: ID of the connection integration
    ContactChannelPlatformDataSchema:
      type: object
      properties: {}
      description: Schema for the platform-specific data of a contact channel
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````